Bug 247331 - sysutils/file: Update to 5.39
Summary: sysutils/file: Update to 5.39
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL: https://mailman.astron.com/pipermail/...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-06-16 23:41 UTC by jharris
Modified: 2020-07-11 06:33 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+
jharris: merge-quarterly?


Attachments
patch to update port (826 bytes, patch)
2020-06-16 23:41 UTC, jharris
jharris: maintainer-approval+
Details | Diff
sysutils/file: Update to 5.39 (1.24 KB, patch)
2020-06-17 03:18 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2020-06-16 23:41:36 UTC
Created attachment 215639 [details]
patch to update port

MAINTAINER update sysutils/file to 5.39.
Comment 1 Lorenzo Salvadore freebsd_committer 2020-06-16 23:55:24 UTC
^Triage:

- If there is a changelog or release notes URL available for this version, please add it to the URL field.
  A changelog is useful to see if it is a security release or a bugfix release: if it is either of them please also set the merge-quarterly flag to ?.

- Please confirm this change passes QA (portlint, poudriere at least). 
  For details and instructions, see: 
  https://www.freebsd.org/doc/en/books/porters-handbook/testing.html
Comment 2 Loïc Bartoletti freebsd_committer 2020-06-17 03:17:07 UTC
There is a plist error with this patch:

- poudriere (plist error):
```
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: libdata/pkgconfig/libmagic.pc
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.
```

- porlint (1 irrevelant warning):
```
WARN: Makefile: [2]: possible direct use of command "file" found. use ${FILE} instead.
0 fatal errors and 1 warning found.
```
Comment 3 Loïc Bartoletti freebsd_committer 2020-06-17 03:18:31 UTC
Created attachment 215644 [details]
sysutils/file: Update to 5.39

Fixed pkg-plist
Comment 4 Loïc Bartoletti freebsd_committer 2020-06-17 03:23:53 UTC
(In reply to Loïc Bartoletti from comment #3)

- poudriere (11/12/HEAD i386/amd64)
Comment 5 jharris 2020-06-18 20:30:35 UTC
Comment on attachment 215644 [details]
sysutils/file: Update to 5.39

Approved new patch.  Thanks!
Comment 6 commit-hook freebsd_committer 2020-06-19 03:57:27 UTC
A commit references this bug:

Author: lbartoletti
Date: Fri Jun 19 03:57:01 UTC 2020
New revision: 539581
URL: https://svnweb.freebsd.org/changeset/ports/539581

Log:
  sysutils/file: Update to 5.39

   - Update to 5.39
   - Fix plist

  PR:		247331
  Submitted by:	jharris@widomaker.com (maintainer)
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D25314

Changes:
  head/sysutils/file/Makefile
  head/sysutils/file/distinfo
  head/sysutils/file/pkg-plist